# Function IsComplex

- IsComplex(__namedParameters): ((control) => ValidationErrors)

- #### Parameters

  - __namedParameters: {
    message?: string;
    options: ComplexityOptions;
    }

    - ##### `Optional` message?: string

    - ##### options: ComplexityOptions

  #### Returns ((control) => ValidationErrors)

  - - (control): ValidationErrors

    - #### Parameters

      - control: AbstractControl<any, any>

      #### Returns ValidationErrors

  - Defined in packages/angular/forms/src/lib/validators/is-complex.ts:104